Skip to main content
PUT
/
creditgrants
/
{id}
Update credit grant
curl --request PUT \
  --url https://us.api.flexprice.io/v1/creditgrants/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "end_date": "2023-11-07T05:31:56Z",
  "metadata": {},
  "name": "<string>"
}
'
import requests

url = "https://us.api.flexprice.io/v1/creditgrants/{id}"

payload = {
    "end_date": "2023-11-07T05:31:56Z",
    "metadata": {},
    "name": "<string>"
}
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({end_date: '2023-11-07T05:31:56Z', metadata: {}, name: '<string>'})
};

fetch('https://us.api.flexprice.io/v1/creditgrants/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "conversion_rate": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "credit_grant_anchor": "2023-11-07T05:31:56Z",
  "credits": "<string>",
  "end_date": "2023-11-07T05:31:56Z",
  "environment_id": "<string>",
  "expiration_duration": 123,
  "id": "<string>",
  "metadata": {},
  "name": "<string>",
  "period_count": 123,
  "plan_id": "<string>",
  "priority": 123,
  "start_date": "2023-11-07T05:31:56Z",
  "subscription_id": "<string>",
  "tenant_id": "<string>",
  "topup_conversion_rate": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Credit Grant ID

Body

application/json

Credit Grant configuration

end_date
string<date-time>
metadata
object
name
string

Response

OK

cadence
enum<string>
Available options:
ONETIME,
RECURRING
conversion_rate
string

amount in the currency = number of credits * conversion_rate ex if conversion_rate is 1, then 1 USD = 1 credit ex if conversion_rate is 2, then 1 USD = 0.5 credits ex if conversion_rate is 0.5, then 1 USD = 2 credits

created_at
string<date-time>
created_by
string
credit_grant_anchor
string<date-time>
credits
string
end_date
string<date-time>
environment_id
string
expiration_duration
integer
expiration_duration_unit
enum<string>
Available options:
DAY,
WEEK,
MONTH,
YEAR
expiration_type
enum<string>
Available options:
NEVER,
DURATION,
BILLING_CYCLE
id
string
metadata
object
name
string
period
enum<string>
Available options:
DAILY,
WEEKLY,
MONTHLY,
ANNUAL,
QUARTERLY,
HALF_YEARLY
period_count
integer
plan_id
string
priority
integer
scope
enum<string>
Available options:
PLAN,
SUBSCRIPTION
start_date
string<date-time>
status
enum<string>
Available options:
published,
deleted,
archived
subscription_id
string
tenant_id
string
topup_conversion_rate
string

topup_conversion_rate is the conversion rate for the topup to the currency ex if topup_conversion_rate is 1, then 1 USD = 1 credit ex if topup_conversion_rate is 2, then 1 USD = 0.5 credits ex if topup_conversion_rate is 0.5, then 1 USD = 2 credits

updated_at
string<date-time>
updated_by
string